## Clone a payment link

Create a new payment link based on an existing one.
The new link will have the same amount, currency, description, and other settings.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/clone-payment-link HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  payment_link_id: string,
  external_id: string?,
}
```

Returns: object

## Request arguments

### `payment_link_id` (string)

**Required**. The unique ID of the payment link to clone.

### `external_id` (string)

_Optional_. The optional external ID of the new payment link.

## Response attributes

### `payment_link_id` (string)

**Always present**. The ID of the payment link.

### `payment_link_url` (string)

**Always present**. The URL of the payment link.

### `status` (string)

**Always present**. The current status of the payment link.

Possible values:

- `active`
- `disabled`
- `expired`
- `paid`

### `amount` (number)

**Always present**. The amount of the payment link in subunits.

### `currency` (string)

**Always present**. The 3-letter ISO currency code.

### `description` (string)

**Always present**. The description of the payment link.

### `external_id` (string)

_Nullable_. The merchant's internal reference for this link.

### `expires_at` (number)

_Nullable_. When the link becomes invalid (Unix timestamp).

### `single_use` (boolean)

**Always present**. If true, the link expires after one successful payment.

### `installation` (object)

**Always present**. The installation associated with this payment link.

### `created_at` (number)

**Always present**. The creation timestamp (Unix timestamp).

### `deletable` (boolean)

**Always present**. If true, the payment link has no associated payments and can be removed.

## Errors specific to this endpoint

### `not_found`

The original payment link could not be found.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
